Name: gsl
Version: 1.5
Release: alt1

Summary: The GNU Scientific Library for numerical analysis
License: GPL
Group: Development/Other
URL: http://www.gnu.org/software/gsl/gsl.html

Source: ftp://ftp.gnu.org/gnu/%name/%name-%version.tar.bz2
Patch: %name-0.6-texinfo.patch
Requires: lib%name = %version-%release

# Automatically added by buildreq on Fri Sep 12 2003
BuildRequires: glibc-devel-static

%package -n lib%name
Summary: Shared librairies for Scientific Library
Group: System/Libraries

%package -n lib%name-devel
Summary: Development environment for Scientific Library
Group: Development/C
Requires: lib%name = %version-%release

%package -n lib%name-devel-static
Summary: Development environment for Scientific Library
Group: Development/C
Requires: lib%name-devel = %version-%release

%description
The %name package is part of the GNU Scientific Library (GSL). The GSL is a
collection of routines for numerical analysis, written in C.  The GSL is
in alpha development.  It now includes a random number suite, an FFT
package, simulated annealing and root finding.  In the future, it will
include numerical and Monte Carlo integration and special functions.
Linking against the GSL allows programs to access functions which can
handle many of the problems encountered in scientific computing.

Install the %name package if you need utilities for high-level scientific
numerical analysis.

%description -n lib%name
The lib%name package is part of the GNU Scientific Library (GSL). The GSL is a
collection of routines for numerical analysis, written in C.  The GSL is
in alpha development.  It now includes a random number suite, an FFT
package, simulated annealing and root finding.  In the future, it will
include numerical and Monte Carlo integration and special functions.
Linking against the GSL allows programs to access functions which can
handle many of the problems encountered in scientific computing.

This package contains shared library required for run GSL-based software.

%description -n lib%name-devel
The lib%name-devel package is part of the GNU Scientific Library (GSL). The GSL is a
collection of routines for numerical analysis, written in C.  The GSL is
in alpha development.  It now includes a random number suite, an FFT
package, simulated annealing and root finding.  In the future, it will
include numerical and Monte Carlo integration and special functions.
Linking against the GSL allows programs to access functions which can
handle many of the problems encountered in scientific computing.

This package contains shared libs and include headers required for development.

%description -n lib%name-devel-static
The lib%name-devel package is part of the GNU Scientific Library (GSL). The GSL is a
collection of routines for numerical analysis, written in C.  The GSL is
in alpha development.  It now includes a random number suite, an FFT
package, simulated annealing and root finding.  In the future, it will
include numerical and Monte Carlo integration and special functions.
Linking against the GSL allows programs to access functions which can
handle many of the problems encountered in scientific computing.

This package contains static libs.

%prep
%setup -q
%patch -p1

%build
%configure
%make_build

%install
%makeinstall

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%post
%install_info %name-ref.info

%postun
%uninstall_info %name-ref.info

%files
%_bindir/*
%exclude %_bindir/%name-config
%_infodir/*.info*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_bindir/%name-config
%_libdir/*.so
#%_libdir/*.la
%_libdir/pkgconfig/*
%_includedir/*
%_datadir/aclocal/*
%_man1dir/*
%_man3dir/*
%doc AUTHORS ChangeLog NEWS README

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Wed Aug 18 2004 Stanislav Ievlev <inger@altlinux.org> 1.5-alt1
- 1.5

* Thu Dec 04 2003 Stanislav Ievlev <inger@altlinux.org> 1.4-alt1.1
- rebuild without .la files

* Fri Sep 12 2003 Stanislav Ievlev <inger@altlinux.ru> 1.4-alt1
- 1.4

* Tue Mar 11 2003 Stanislav Ievlev <inger@altlinux.ru> 1.3-alt1
- 1.3

* Mon Nov 11 2002 Stanislav Ievlev <inger@altlinux.ru> 1.2-alt2
- rebuild with gcc3

* Mon Jul 29 2002 Stanislav Ievlev <inger@altlinux.ru> 1.2-alt1
- 1.2

* Mon Apr 01 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.1-alt1
- 1.1.1

* Fri Nov 16 2001 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt1
- 1.0

* Tue Sep 25 2001 Stanislav Ievlev <inger@altlinux.ru> 0.9.3-alt2
- Fixed requirements.

* Fri Sep 21 2001 Stanislav Ievlev <inger@altlinux.ru> 0.9.3-alt1
- 0.9.3

* Mon Sep 03 2001 Stanislav Ievlev <inger@altlinux.ru> 0.9.2-alt1
- 0.9.2

* Wed Jul 11 2001 Stanislav Ievlev <inger@altlinux.ru> 0.9-alt1
- 0.9

* Fri Jun 01 2001 Stanislav Ievlev <inger@altlinux.ru> 0.8-alt1
- 0.8

* Wed Apr 11 2001 Stanislav Ievlev <inger@altlinux.ru> 0.7-alt1
- Up to 0.7 . devel-static package

* Wed Jan 17 2001 Dmitry V. Levin <ldv@fandra.org> 0.6-ipl1mdk
- RE adaptions.
- Fixed texinfo documentation.

* Wed Dec 06 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-1mdk
- new release
- fix build on PPC
- new lib scheme

* Fri Jul 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5-3mdk
- BM
- split out devel

* Tue Apr 18 2000 John Buswell <johnb@mandrakesoft.com> 0.5-2mdk
- Fixed distribution tag

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 0.5-1mdk
- 0.5
- Fixed groups
- spec-helper

* Mon Nov 24 1999 Camille Begnis <camille@mandrakesoft.com>
- added %defattr and SMP compilation
- updated url and ftp source

* Tue Aug 16 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 0.4.1

* Tue Jul 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build for new environment (Rel: 5mdk).

* Wed May 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Remove the ldconfig hack of bero.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- make ldconfig in %post and %preun -p

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Thu Mar 11 1999 Bill Nottingham <notting@redhat.com>
- update to 0.3f
- add patches to fix glibc-2.1 compilation, doc oddity

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- new summary/description, work around automake oddity

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- libtoolize for arm

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- spec file fixups

* Sat May 9 1998 Michael Fulbright <msf@redhat.com>
- started with package for gmp from Toshio Kuratomi <toshiok@cats.ucsc.edu>
- cleaned up file list
- fixed up install-info support
